Bug 11703 - dos filetime resolution ignored by SMB2 create calls.
dos filetime resolution ignored by SMB2 create calls.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 21:57 UTC by Jeremy Allison
Modified: 2016-02-05 08:59 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix cherry-picked from master (1.58 KB, patch)
2016-01-29 16:14 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-01-28 21:57:15 UTC
As reported on the samba-technical list, the code path returning timestamps from an SMB2 create call doesn't round to 2 seconds if "dos filetime resolution = yes" on the share.

Patch to follow.
Comment 1 Jeremy Allison 2016-01-29 16:14:01 UTC
Created attachment 11801 [details]
git-am fix cherry-picked from master

Applies cleanly to 4.4.x, 4.3.x, 4.2.x.

Yeah, I know we need a regression test case for this, but that shouldn't block the bugfix I think.

I'll work on getting a regression test case into master.
Comment 2 Karolin Seeger 2016-02-02 11:07:08 UTC
Pushed to autobuild-v4-[4|3|2]-test.
Comment 3 Karolin Seeger 2016-02-04 08:02:06 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to v4-4-test and v4-3-test, re-trying autobuild-v4-2-test.
Comment 4 Karolin Seeger 2016-02-05 08:59:23 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!